scim-thai (0.1.4-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:57:44 +1100

scim-thai (0.1.4-5build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:55:10 +0000

scim-thai (0.1.4-5) unstable; urgency=medium

  [ Theppitak Karoonboonyanan ]
  * d/watch: Update to version 4
  * d/gbp.conf: Remove the 'buildpackage' section.
    This should be for per-user options.
  * Switch to debhelper-compat 13
  * Declare compliance with Debian Policy 4.5.1 (no changes)
  * d/copyright: Use HTTPS in Source field

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.1, no changes needed.

  [ Theppitak Karoonboonyanan ]
  * Declare compliance with Debian Policy 4.6.2 (no changes)
  * d/copyright: Update years on packaging.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Fri, 24 Feb 2023 20:16:46 +0700

scim-thai (0.1.4-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/changelog: Remove trailing whitespaces

  [ Theppitak Karoonboonyanan ]
  * Switch to dh level 12
    - d/control: B-Dep on debhelper-compat (= 12) instead of debhelper
    - d/compat: Removed
  * d/gbp.conf: Added, following DEP-14
  * d/gbp.conf: Use --source-only-changes by default
  * Bump Standards-Version to 4.4.0 (no changes)
  * d/copyright: Update years on packaging
  * d/control: Drop B-Dep on ancient dpkg-dev 1.16.2
  * d/rules: dh_autoreconf --as-needed to avoid unnecessary deps
  * d/not-installed: Added to confirm dh_missing on *.a, *.la exclusion

 -- Theppitak Karoonboonyanan <thep@debian.org>  Tue, 06 Aug 2019 12:31:19 +0700

scim-thai (0.1.4-3) unstable; urgency=medium

  * Update Vcs fields for migration to salsa.debian.org
  * Bump debhelper compat to level 11
  * Bump Standards-Version to 4.1.3 (no changes)
  * d/copyright: Update year on packaging
  * Use HTTPS on watch file

 -- Theppitak Karoonboonyanan <thep@debian.org>  Thu, 22 Feb 2018 22:59:23 +0700

scim-thai (0.1.4-2) unstable; urgency=medium

  * Switch to debhelper compat level 10
    - d/compat: 9 -> 10
    - Bump debhelper B-Dep version to 10~
    - Drop dh-autoreconf B-Dep which is already pulled in by debhelper 10
    - Drop autopoint B-Dep which is already pulled in by dh-autoreconf
    - d/rules:
      + Drop '--with autoreconf' parameter for dh
      + Drop 'override_dh_autoreconf' target
  * Bump Standards-Version to 4.0.0 (no changes)
  * d/copyright: Update
    - Use HTTPS in Format URL
    - Update year for Debian packaging

 -- Theppitak Karoonboonyanan <thep@debian.org>  Thu, 10 Aug 2017 15:54:56 +0700

scim-thai (0.1.4-1) unstable; urgency=medium

  * Imported Upstream version 0.1.4
  * debian/copyright: Update years & e-mail address.
  * B-Dep on gtk+ >= 3.16.0, as per upstream
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Use HTTPS in Vcs-* & Homepage fields, cgit for Vcs-Browser.
  * debian/watch: Watch XZ tarballs

 -- Theppitak Karoonboonyanan <thep@debian.org>  Fri, 17 Jun 2016 22:01:32 +0700

scim-thai (0.1.3-4) unstable; urgency=medium

  * debian/copyright: Update years
  * Bump Standards-Version to 3.9.6 (no changes)
  * Rebuild against libscim8v5 and gcc-5

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sun, 16 Aug 2015 11:47:54 +0700

scim-thai (0.1.3-3) unstable; urgency=medium

  * Use canonical anonscm URIs in Vcs-* fields.
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * debian/copyright: Update copyright years
  * debian/copyright: Also update upstream copyright year
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Fri, 13 Dec 2013 14:43:34 +0700

scim-thai (0.1.3-2) unstable; urgency=medium

  * Convert to Multi-Arch, fixing FTBFS.
    moduledir has been changed to multi-arch location since libscim-dev
    1.4.14-2. So, switch accordingly to fix FTBFS.
    - debian/install: Replace /usr/lib/ with /usr/lib/*/
    - Bump libscim-dev B-Dep to 1.4.14-2.
    - Bump dpkg-dev B-Dep to 1.16.2, for multi-arch support.
    - Mark scim-thai "Multi-Arch: same".
    - Add "Pre-Depends: ${misc:Pre-Depends} to scim-thai.
    - Thanks to Prach Pongpanich and Ubuntu's Colin Watson, closes: #700941.
  * Urgency medium due to RC bug fix.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Wed, 27 Feb 2013 17:39:50 +0700

scim-thai (0.1.3-1) unstable; urgency=low

  * Imported Upstream version 0.1.3
    - Migrate away deprecated GTK+ APIs, fixing FTBFS. Closes: #676060
  * Bump libscim-dev b-dep to (>= 1.4.13-5), for proper gtk+ dependency.
    See #676790.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Fri, 15 Jun 2012 16:22:22 +0700

scim-thai (0.1.2-3) unstable; urgency=low

  * B-Dep on dpkg-dev 1.16.1, not 0.16.1.
  * Bump Standards-Version to 3.9.3 with changes
    - Update debian/copyright Format: URL to 'packaging-manuals' one.
  * Update copyright years
  * Build-dep on debhelper >= 9 and drop the lintian override

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sun, 25 Mar 2012 11:34:29 +0700

scim-thai (0.1.2-2) unstable; urgency=low

  * Packaging moved to alioth, update Vcs-* accordingly
  * Point Homepage directly to linux.thai.net page
  * debian/control, debian/copyright, debian/install: Apply wrap-and-sort
  * Build with hardening flags
    - Bump debhelper compat to level 9.
    - B-Dep on dpkg-dev (>= 0.16.1~) for dpkg-buildflags.
    - B-Dep on debhelper (>= 8.9.0~) for dh_auto_configure that uses
      dpkg-buildflags.
    - debian/rules:
      + Use DEB_LDFLAGS_MAINT_APPEND to add --as-needed linker flag.
      + Add DEB_BUILD_MAINT_OPTIONS to also enable bindnow
    - Override package-needs-versioned-debhelper-build-depends lintian warning.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sat, 24 Dec 2011 13:24:24 +0700

scim-thai (0.1.2-1) unstable; urgency=low

  * New upstream release
    - Drop patch, merged upstream.
  * debian/copyright:
    - Updated to DEP-5 rev 174.
    - Update copyright years.
  * debian/rules, debian/control:
    - Switch to dh 7 + dh-autoreconf
    - Use "-Wl,--as-needed" LDFLAGS, thus require dh-autoreconf (>= 4)
      with "--as-needed" option
    - Use debian/tmp destdir for dh_auto_install, so dh_install can later
      selectively install files.
    - Skip dh_makeshlibs to avoid meaningless shlibs files and ldconfig calls
  * debian/install:
    - Use wildcards for *.so
  * Bump Standards-Version to 3.9.2 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Mon, 27 Jun 2011 11:03:08 +0700

scim-thai (0.1.1-7) unstable; urgency=medium

  * Urgency medium due to RC bug fix.
  * Fix another FTBFS (Closes: #591171)
    - Add explicit Build-Depends on libltdl-dev.
  * Bump Standards-Version to 3.9.1 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sun, 01 Aug 2010 17:25:41 +0700

scim-thai (0.1.1-6) unstable; urgency=medium

  * Urgency still medium, to let RC bug fix in previous upload get in.
  * debian/rules: Clean autopoint-generated files on clean target, to prevent
    extra patch when building twice in a row.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Wed, 30 Jun 2010 17:04:32 +0700

scim-thai (0.1.1-5) unstable; urgency=medium

  * Urgency medium due to RC bug fix.
  * Fix FTBFS due to mismatched version of gettext files (Closes: #584394)
    - debian/patches/01-gettext-version.patch: Added to add
      AM_GNU_GETTEXT_VERSION macro to configure.ac
    - debian/control: Build-depends on autopoint
    - debian/rules: Invoke autopoint
  * Bump Standards-Version to 3.9.0 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Tue, 29 Jun 2010 16:32:28 +0700

scim-thai (0.1.1-4) unstable; urgency=low

  * debian/rules: Fix failure to build twice in a row:
    - Fix typo '$(MAKE) maintainerclan'
    - Clean other changed files left over from 'make maintainer-clean'
    - 'config.status' depends on 'configure.ac' instead of 'configure'
    - Make sure m4/ exists before auroreconf

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sat, 16 Jan 2010 17:28:27 +0700

scim-thai (0.1.1-3) unstable; urgency=low

  * debian/control:
    - Update my e-mail address to @debian.org.
    - Drop DM-Upload-Allowed.
  * debian/copyright:
    - Update my e-mail address for debian/* to @debian.org.
  * debian/rules:
    - Run autoreconf instead of just updating config.{sub,guess}, as required
      by libtool (Closes: #558637)
    - Run 'make maintainerclean' instead of 'make distclean' on clean target,
      to clear all autoconf-generated files
  * debian/control:
    - Build-Depends on libtool, automake, autoconf, for autoreconf.
    - Drop Build-Depends on autotools-dev
  * Switch to "3.0 (quilt)" source format.
  * Bump Standards-Version to 3.8.3 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sun, 06 Dec 2009 15:39:55 +0700

scim-thai (0.1.1-2) unstable; urgency=low

  * VCS moved from CVS to SVN; update Vcs-* fields accordingly.
  * Bump debhelper compat to level 7
    - Bump debian/compat to 7
    - Build-dep on debhelper (>= 7)
    - debian/rules:
      + Replace obsoleted 'dh_clean -k' with 'dh_prep'
      + Remove *-stamp clean-ups in clean target, as dh_clean now does it
  * debian/rules:
    - Drop dh_mkshlibs, as this package only provides unversioned loadable
      module, not what to be linked [lintian]
    - Define LDFLAGS outside the configure line, for easy adjustment
    - Override SCIM_GTKUTILS_LIBS reported by pkg-config, so that only required
      libraries are linked
  * Rebuild against libthai-dev 0.1.9-5, to get rid of libdatrie0 direct link.
  * debian/copyright:
    - Update format to proposal rev 454
    - Update copyright year for debian/*
  * Bump standards version to 3.8.1, no change needed.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Thu, 02 Apr 2009 15:37:48 +0700

scim-thai (0.1.1-1) unstable; urgency=low

  * Fix CVSROOT in Vcs-Cvs, so it really works with debcheckout.
  * Build-dep on dpkg-dev (>= 1.14.13), for proper support of Vcs-Cvs field.
  * New upstream release
    - Drop patch for gcc-4.3 FTBFS, merged upstream
  * debian/copyright: Update format to current proposal.
  * debian/install: Also install translations.
  * debian/control:
    - Drop -1 from versioned build-deps
    - Decapitalize some words in the long description
    - Add DM-Upload-Allowed
    - Bump Standards-Version to 3.8.0 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Wed, 18 Jun 2008 15:16:46 +0700

scim-thai (0.1.0-3) unstable; urgency=low

  * src/scim_thai_imengine.cpp: Add missing include file, fixing FTBFS with
    gcc-4.3. (Closes: #455624)
  * debian/copyright: Rewrite in machine-interpretable format.
  * debian/rules: Do not ignore 'make distclean' error.
  * Add Vcs-Cvs, Vcs-Browser control fields.
  * Add Homepage control field and remove Homepage info from description.
  * Bump standards version to 3.7.3.0, no change needed.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Wed, 19 Dec 2007 08:47:40 +0700

scim-thai (0.1.0-2) unstable; urgency=low

  * Install shared objects from usr/lib/scim-1.0/1.4.0/* instead of
    usr/lib/scim-1.0/*, according to new upstream change, fixing FTBFS.
    (Closes: #422957)
  * Build-Depends on libscim-dev (>= 1.4.6-1).
  * Bump standards version to 3.7.2.2, no change needed.
  * debian/dirs: remove, unneeded.
  * debian/rules: pass --host=$(DEB_HOST_GNU_TYPE) to configure only when
    cross compiling.
  * Remove rpath info in *.so using chrpath.
  * Don't include config.{guess,sub} in .diff.gz.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Sun, 20 May 2007 21:35:11 +0700

scim-thai (0.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #379010)

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Fri, 21 Jul 2006 08:32:06 +0700
